/**
 * Copyright (c) 2015 Codetrails GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.eclipse.epp.internal.logging.aeri.ide.di;

import static com.google.common.base.Preconditions.checkNotNull;

import org.eclipse.e4.core.contexts.ContextFunction;
import org.eclipse.e4.core.contexts.ContextInjectionFactory;
import org.eclipse.e4.core.contexts.IEclipseContext;
import org.eclipse.epp.internal.logging.aeri.ide.IDEWorkflow;
import org.eclipse.epp.logging.aeri.core.SystemControl;

/**
 * Scope: System Context
 */
public class WorkflowCreationFunction extends ContextFunction {

    @Override
    public Object compute(IEclipseContext context, String contextKey) {
        contextKey = checkNotNull(contextKey);
        IDEWorkflow res = ContextInjectionFactory.make(IDEWorkflow.class, context);
        IEclipseContext systemContext = SystemControl.getSystemContext();
        systemContext.set(contextKey, res);
        return res;
    }
}
